SITSS
Contributor
Contributor

Unable to check update compliance for hosts in Vcenter 7

Hey Guys,

Noticed this one when I applied update 2a to vcenter 7.  Seems I can no longer check compliance for any hosts.  Rolled back the update and still have the same issue.

 

Getting the following out of esxupdate.log

ata.zip', 'http://<vcenter IP>:9080/vum/repository/hostupdate/vmw/vmw-ESXi-7.0.2-metadata.zip'], 'hamode': True, 'retry': 5, 'viburls': None, 'proxyurl': None, 'timeout': 30.0}
2021-05-11T02:39:12Z esxupdate: 2288336: downloader: INFO: Downloading http://<vcenter IP>:9080/vum/repository/hostupdate/CIS/CIS-ESXi-7.0-Addon-cumulative_metadata.zip to /tmp/tmpf_a8iuh8
2021-05-11T02:39:12Z esxupdate: 2288336: downloader: INFO: Proxies configured: None
2021-05-11T02:39:12Z esxupdate: 2288336: downloader: INFO: Proxies configured: None
2021-05-11T02:39:12Z esxupdate: 2288336: downloader: INFO: Proxies configured: None
2021-05-11T02:39:12Z esxupdate: 2288336: downloader: INFO: Proxies configured: None
2021-05-11T02:39:12Z esxupdate: 2288336: downloader: INFO: Proxies configured: None
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: An esxupdate error exception was caught:
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: Traceback (most recent call last):
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: File "/build/mts/release/bora-17551050/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/urllib/request.py", line 1254, in do_open
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: File "/build/mts/release/bora-17551050/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/http/client.py", line 1133, in request
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: File "/build/mts/release/bora-17551050/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/http/client.py", line 1178, in _send_request
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: File "/build/mts/release/bora-17551050/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/http/client.py", line 1129, in endheaders
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: File "/build/mts/release/bora-17551050/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/http/client.py", line 944, in _send_output

2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: File "/build/mts/release/bora-17551050/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/http/client.py", line 887, in send
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: File "/build/mts/release/bora-17551050/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/http/client.py", line 859, in connect
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: File "/build/mts/release/bora-17551050/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/socket.py", line 712, in create_connection
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: File "/build/mts/release/bora-17551050/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/socket.py", line 703, in create_connection
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: ConnectionRefusedError: [Errno 111] Connection refused
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR:
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: During handling of the above exception, another exception occurred:
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR:
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: Traceback (most recent call last):
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: File "/build/mts/release/bora-17551050/bora/build/esx/release/vmvisor/esxupdate/lib64/python3.5/site-packages/vmware/esximage/Downloader.py", line 250, in _getfromurl
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: File "/build/mts/release/bora-17551050/bora/build/esx/release/vmvisor/esxupdate/lib64/python3.5/site-packages/vmware/esximage/Downloader.py", line 194, in _retry
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: File "/build/mts/release/bora-17551050/bora/build/esx/release/vmvisor/esxupdate/lib64/python3.5/site-packages/vmware/esximage/Downloader.py", line 214, in _download_to_file
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: File "/build/mts/release/bora-17551050/bora/build/esx/release/vmvisor/esxupdate/lib64/python3.5/site-packages/vmware/esximage/Downloader.py", line 186, in _urlopen
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: File "/build/mts/release/bora-17551050/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/urllib/request.py", line 466, in open
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: File "/build/mts/release/bora-17551050/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/urllib/request.py", line 484, in _open
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: File "/build/mts/release/bora-17551050/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/urllib/request.py", line 444, in _call_chain
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: File "/build/mts/release/bora-17551050/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/urllib/request.py", line 1282, in http_open
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: File "/build/mts/release/bora-17551050/bora/build/esx/release/vmvisor/sys-boot/lib64/python3.5/urllib/request.py", line 1256, in do_open
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: urllib.error.URLError: <urlopen error [Errno 111] Connection refused>
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR:
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: During handling of the above exception, another exception occurred:
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR:
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: Traceback (most recent call last):
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: File "/build/mts/release/bora-17551050/bora/build/esx/release/vmvisor/esxupdate/lib64/python3.5/site-packages/vmware/esximage/Transaction.py", line 89, in DownloadMetadatas
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: File "/build/mts/release/bora-17551050/bora/build/esx/release/vmvisor/esxupdate/lib64/python3.5/site-packages/vmware/esximage/Downloader.py", line 341, in Get
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: File "/build/mts/release/bora-17551050/bora/build/esx/release/vmvisor/esxupdate/lib64/python3.5/site-packages/vmware/esximage/Downloader.py", line 252, in _getfromurl
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: vmware.esximage.Downloader.DownloaderError: ('http://<vcenter>:9080/vum/repository/hostupdate/CIS/CIS-ESXi-7.0-Addon-cumulative_metadata.zip', '/tmp/tmpf_a8iuh8', '<urlopen error [Errno 111] Connection refused>')
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR:
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: During handling of the above exception, another exception occurred:
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR:
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: Traceback (most recent call last):
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: File "/usr/sbin/esxupdate", line 238, in main
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: cmd.Run()
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: File "/build/mts/release/bora-17551050/bora/build/esx/release/vmvisor/esxupdate/lib64/python3.5/site-packages/vmware/esx5update/Cmdline.py", line 107, in Run
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: File "/build/mts/release/bora-17551050/bora/build/esx/release/vmvisor/esxupdate/lib64/python3.5/site-packages/vmware/esximage/Transaction.py", line 91, in DownloadMetadatas
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: ERROR: vmware.esximage.Errors.MetadataDownloadError: ('http://<vcenter IP>:9080/vum/repository/hostupdate/CIS/CIS-ESXi-7.0-Addon-cumulative_metadata.zip', None, "('http://<vcenter IP>:9080/vum/repository/hostupdate/CIS/CIS-ESXi-7.0-Addon-cumulative_metadata.zip', '/tmp/tmpf_a8iuh8', '<urlopen error [Errno 111] Connection refused>')")
2021-05-11T02:39:12Z esxupdate: 2288336: esxupdate: DEBUG: <<<

 

I've checked the firewall settings and port 9080 is open and it makes no difference if I add rules to accept all traffic from my hosts.  Not really sure why it's picked 9080 over 9084 and there doesn't seem to be a way to change it.  Tried nuking the db and resetting but haven't had any luck there either.  VUM logs don't show any errors either.

Doesn't seem to be a whole lot of info with this type of error relating to vcenter 7.0 floating about.  Anyone got an idea of anything else I can try?

0 Kudos
1 Reply
SITSS
Contributor
Contributor

So after playing around a bit more I've found I can push new esx upgrades to hosts with no issues but it won't check host patches.  I'm also getting errors with the update planner.

Seems like this issue may be related to the known issue in this thread https://communities.vmware.com/t5/Update-Manager-Discussions/VCSA-7-0-Update-Planner-quot-Unexpected...

Not quite sure what is meant by "Manually invoke the API" as a workaround.  Seems like this issue has been around since at least last year and only affects non standard https port configuration.

0 Kudos